# Add "Next Question" Button

![](/files/-LQFEuc4SCpMQpCRkRXo)

The default trivia template moves the player on to the next question after a few seconds. This example demonstrates how to add a button for the player to click that moves the game along to the next question.

### Javascript Changes

First, find the `onClickedAnswer( )` function. Then locate the following line of code in that function.

```javascript
setTimeout(trivia.gotoNextQuestion, 3000);
```

The code above causes your game to wait 3 seconds before moving on to the next question. Since you will use a button instead, you can either delete this line of code or comment `//` it out.

Next, add the following line of code as a replacement. Notice how an HTML button is appended after your question feedback that responds to a click by running `trivia.gotoNextQuestion()` .

```javascript
$("#feedback").append(`<br><button onclick="trivia.gotoNextQuestion();">Next Question</br>`);
```

That's it. It should work for you. Consider styling this button differently by assigning it a class and adding the new style in your CSS.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.idew.org/code-trivia-app/more/code-mod-examples/add-next-question-button.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
